﻿using System;
using System.Collections.Generic;
using System.IO.Ports;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using DisplaySettings;
namespace rotatescreen
{
    
    enum Orientation
    {
        Default = 0,
        Clockwise90 = 1,
        Clockwise180 = 2,
        Clockwise270 = 3
    }
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DisplayManager.RotateScreen(true);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            DisplayManager.RotateScreen(false);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            try
            {
                DisplayManager.RotateScreenAbsolut(0);
            }
            catch (Exception err)
            {
                MessageBox.Show(err.Message);
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            try
            {
                DisplayManager.RotateScreenAbsolut(3);
            }
            catch (Exception err)
            {
                MessageBox.Show(err.Message);
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            try
            {
                DisplayManager.RotateScreenAbsolut(2);
            }
            catch (Exception err)
            {
                MessageBox.Show(err.Message);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            try
            {
                DisplayManager.RotateScreenAbsolut(1);
            }
            catch (Exception err)
            {
                MessageBox.Show(err.Message);
            }
        }

    }
}
